org.eclipse.gmt.modisco.infra.browser.uicore.extensions.icons

## Interface IconProvider

All Known Subinterfaces:
  FilteredIconProvider

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public interface IconProvider

The interface that must be implemented in order to use the "icons" extension. Implementors may choose to use the `FilteredIconProvider` interface instead if they want to add a filter.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Image` `getIcon(EObject eObject)` Deprecated.

### Method Detail

#### getIcon

    Image getIcon(EObject eObject)

Deprecated.

Returns:
  the icon that must be displayed for the given `EObject`, or `null` to keep the default icon, which can be empty, or let another `IconProvider` provide the icon